org.eclipse.emf.cdo.expressions.provider

## Class LinkedExpressionItemProvider

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.edit.provider.ItemProviderAdapter
    - - org.eclipse.emf.cdo.expressions.provider.LinkedExpressionItemProvider

- All Implemented Interfaces:
    Adapter, Adapter.Internal, ResourceLocator, CreateChildCommand.Helper, IChangeNotifier, IDisposable, IEditingDomainItemProvider, IItemColorProvider, IItemFontProvider, IItemLabelProvider, IItemPropertySource, IStructuredItemContentProvider, ITableItemColorProvider, ITableItemFontProvider, ITableItemLabelProvider, ITreeItemContentProvider

      public class LinkedExpressionItemProvider
      extends ItemProviderAdapter
      implements IEditingDomainItemProvider, IStructuredItemContentProvider, ITreeItemContentProvider, IItemLabelProvider, IItemPropertySource, ITableItemLabelProvider, ITableItemColorProvider, ITableItemFontProvider, IItemColorProvider, IItemFontProvider

  This is the item provider adapter for a `LinkedExpression` object.
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

      `ItemProviderAdapter.ChildrenStore, ItemProviderAdapter.ModifiableSingletonEList<E>, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

      `Adapter.Internal`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

      `adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

    - ### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `target`

    - ### Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider

      `GRAYED_OUT_COLOR`

    - ### Fields inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider

      `BOLD_FONT, BOLD_ITALIC_FONT, ITALIC_FONT, NORMAL_FONT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LinkedExpressionItemProvider(AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addExpressionPropertyDescriptor(Object object)` This adds a property descriptor for the Expression feature.
    `protected void` | `collectNewChildDescriptors(Collection<Object> newChildDescriptors, Object object)` This adds `CommandParameter`s describing the children that can be created under this object.
    `Object` | `getImage(Object object)` This returns LinkedExpression.gif.
    `List<IItemPropertyDescriptor>` | `getPropertyDescriptors(Object object)` This returns the property descriptors for the adapted class.
    `ResourceLocator` | `getResourceLocator()` Return the resource locator for this item provider's resources.
    `String` | `getText(Object object)` This returns the label text for the adapted class.
    `boolean` | `hasChildren(Object object)`
    `void` | `notifyChanged(Notification notification)` This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.
    `protected boolean` | `shouldComposeCreationImage()`

    - ### Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

      `addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, createAddCommand, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildFeature, getChildReference, getChildren, getChildrenFeatures, getChildrenReferences, getChildrenStore, getColumnImage, getColumnText, getCreateChildDescription, getCreateChildImage, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getStyledText, getTypeText, getTypeText, getUpdateableText, getValue, getWrappedValues, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isResolveProxies, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

      `getTarget`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider

      `createCommand, getChildren, getNewChildDescriptors, getParent`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider

      `getChildren, getParent`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider

      `getElements`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource

      `getEditableValue, getPropertyDescriptor`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.ITableItemLabelProvider

      `getColumnImage, getColumnText`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.ITableItemColorProvider

      `getBackground, getForeground`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.ITableItemFontProvider

      `getFont`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider

      `getBackground, getForeground`

    - ### Methods inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider

      `getFont`

- - ### Constructor Detail

    - #### LinkedExpressionItemProvider

          public LinkedExpressionItemProvider(AdapterFactory adapterFactory)

      This constructs an instance from a factory and a notifier.
      Generated

  - ### Method Detail

    - #### getPropertyDescriptors

          public List<IItemPropertyDescriptor> getPropertyDescriptors(Object object)

      This returns the property descriptors for the adapted class.
      Specified by:
        `getPropertyDescriptors` in interface `IItemPropertySource`
      Overrides:
        `getPropertyDescriptors` in class `ItemProviderAdapter`
      Generated

    - #### addExpressionPropertyDescriptor

          protected void addExpressionPropertyDescriptor(Object object)

      This adds a property descriptor for the Expression feature.
      Generated

    - #### hasChildren

          public boolean hasChildren(Object object)

      Specified by:
        `hasChildren` in interface `ITreeItemContentProvider`
      Overrides:
        `hasChildren` in class `ItemProviderAdapter`
      Generated

    - #### getImage

          public Object getImage(Object object)

      This returns LinkedExpression.gif.
      Specified by:
        `getImage` in interface `IItemLabelProvider`
      Overrides:
        `getImage` in class `ItemProviderAdapter`
      Generated

    - #### shouldComposeCreationImage

          protected boolean shouldComposeCreationImage()

      Overrides:
        `shouldComposeCreationImage` in class `ItemProviderAdapter`
      Generated

    - #### getText

          public String getText(Object object)

      This returns the label text for the adapted class.
      Specified by:
        `getText` in interface `IItemLabelProvider`
      Overrides:
        `getText` in class `ItemProviderAdapter`
      Generated

    - #### notifyChanged

          public void notifyChanged(Notification notification)

      This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.
      Specified by:
        `notifyChanged` in interface `Adapter`
      Overrides:
        `notifyChanged` in class `AdapterImpl`
      Generated

    - #### collectNewChildDescriptors

          protected void collectNewChildDescriptors(Collection<Object> newChildDescriptors,
                                                    Object object)

      This adds `CommandParameter`s describing the children that can be created under this object.
      Overrides:
        `collectNewChildDescriptors` in class `ItemProviderAdapter`
      Generated

    - #### getResourceLocator

          public ResourceLocator getResourceLocator()

      Return the resource locator for this item provider's resources.
      Overrides:
        `getResourceLocator` in class `ItemProviderAdapter`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html